Good morning
Is there a way to create, modify or delete snap points delivered with the new version of SketchUp 23.1 in Ruby.
I haven’t seen any new entries about this in the API.
THANKS
Unfortunately not.
1 Like
You can wrap it inside a component, then save it as skp and load it like placing a component. Snap is a Drawingelement, so you can erase or use entities.transform_entities to edit it.
1 Like
Yes, they do not yet have a specific API class identifier, so:
s = Sketchup.active_model.selection[0]
#=> #<Sketchup::Drawingelement:0x000001d0e01cdf60>
s.typename
#=> "CustomControlPoint"
The #erase!
method also seems to work to delete them.
1 Like